Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

eznotificationeventhandler.php
Go to the documentation of this file.
1 <?php
17 class eZNotificationEventHandler
18 {
19 const EVENT_HANDLED = 0;
20 const EVENT_SKIPPED = 1;
21 const EVENT_UNKNOWN = 2;
22 const EVENT_ERROR = 3;
23
30 public function __construct( $idString, $name )
31 {
32 $this->IDString = $idString;
33 $this->Name = $name;
34 }
35
36 function attributes()
37 {
38 return array( 'id_string',
39 'name' );
40 }
41
42 function hasAttribute( $attr )
43 {
44 return in_array( $attr, $this->attributes() );
45 }
46
47 function attribute( $attr )
48 {
49 if ( $attr == 'id_string' )
50 {
51 return $this->IDString;
52 }
53 else if ( $attr == 'name' )
54 {
55 return $this->Name;
56 }
57
58 eZDebug::writeError( "Attribute '$attr' does not exist", __METHOD__ );
59 return null;
60 }
61
62 function handle( $event )
63 {
64 return true;
65 }
66
70 function cleanup()
71 {
72 }
73
74 function fetchHttpInput( $http, $module )
75 {
76 return true;
77 }
78
79 function storeSettings( $http, $module )
80 {
81 return true;
82 }
83
84 public $IDString = false;
85 public $Name = false;
86 }
87
88 ?>
eZDebug\writeError
static writeError( $string, $label="", $backgroundClass="")
Definition: ezdebug.php:545
eZNotificationEventHandler
The class eZNotificationEventHandler does.
Definition: eznotificationeventhandler.php:18
eZNotificationEventHandler\storeSettings
storeSettings( $http, $module)
Definition: eznotificationeventhandler.php:79
eZNotificationEventHandler\EVENT_SKIPPED
const EVENT_SKIPPED
Definition: eznotificationeventhandler.php:20
eZNotificationEventHandler\hasAttribute
hasAttribute( $attr)
Definition: eznotificationeventhandler.php:42
eZNotificationEventHandler\EVENT_HANDLED
const EVENT_HANDLED
Definition: eznotificationeventhandler.php:19
eZNotificationEventHandler\fetchHttpInput
fetchHttpInput( $http, $module)
Definition: eznotificationeventhandler.php:74
eZNotificationEventHandler\attributes
attributes()
Definition: eznotificationeventhandler.php:36
eZNotificationEventHandler\$IDString
$IDString
Definition: eznotificationeventhandler.php:84
eZNotificationEventHandler\EVENT_ERROR
const EVENT_ERROR
Definition: eznotificationeventhandler.php:22
eZNotificationEventHandler\$Name
$Name
Definition: eznotificationeventhandler.php:85
eZNotificationEventHandler\attribute
attribute( $attr)
Definition: eznotificationeventhandler.php:47
eZNotificationEventHandler\cleanup
cleanup()
Definition: eznotificationeventhandler.php:70
eZNotificationEventHandler\EVENT_UNKNOWN
const EVENT_UNKNOWN
Definition: eznotificationeventhandler.php:21
eZNotificationEventHandler\handle
handle( $event)
Definition: eznotificationeventhandler.php:62
eZNotificationEventHandler\__construct
__construct( $idString, $name)
Definition: eznotificationeventhandler.php:30
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.